info.bioinfweb.jphyloio.dataadapters.implementations

## Class UndefinedOTUListDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.UndefinedOTUListDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LabeledIDEvent>, ObjectListDataAdapter<LabeledIDEvent>, OTUListDataAdapter, NeXMLConstants

      public class UndefinedOTUListDataAdapter
      extends java.lang.Object
      implements OTUListDataAdapter, NeXMLConstants

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexml.NeXMLConstants

      `ATTR_ABOUT, ATTR_CELL_SET_LINKED_IDS, ATTR_CHAR_SET_LINKED_IDS, ATTR_CODON_POSITION, ATTR_CONTENT, ATTR_DATATYPE, ATTR_GENERATOR, ATTR_HREF, ATTR_ID, ATTR_LABEL, ATTR_LENGTH, ATTR_NODE_EDGE_SET_LINKED_EDGE_IDS, ATTR_NODE_EDGE_SET_LINKED_NODE_IDS, ATTR_NODE_EDGE_SET_LINKED_ROOTEDGE_IDS, ATTR_OTU_SET_LINKED_IDS, ATTR_OTUS, ATTR_PROPERTY, ATTR_REL, ATTR_ROOT, ATTR_SEQUENCE_SET_LINKED_IDS, ATTR_SINGLE_CHAR_LINK, ATTR_SINGLE_OTU_LINK, ATTR_SINGLE_STATE_LINK, ATTR_SOURCE, ATTR_STATE_SET_LINKED_IDS, ATTR_STATES, ATTR_SYMBOL, ATTR_TARGET, ATTR_TOKENS, ATTR_TREE_SET_LINKED_NETWORK_IDS, ATTR_TREE_SET_LINKED_TREE_IDS, ATTR_VERSION, ATTR_XSI_TYPE, DEFAULT_TOKEN_DEFINITION_SET_ID_PREFIX, NEXML_DEFAULT_NAMESPACE_PREFIX, NEXML_FORMAT_NAME, NEXML_NAMESPACE, NEXML_NAMESPACE_PREFIX, NEXML_PREDICATE_NAMESPACE, NEXML_VERSION, PREDICATE_CHAR_ATTR_CODON_POSITION, PREDICATE_CHAR_ATTR_TOKENS, PREDICATE_FORMAT, PREDICATE_MATRIX, PREDICATE_ORIGINAL_LABEL, PREDICATE_ORIGINAL_TOKEN_NAME, TAG_CELL, TAG_CHAR, TAG_CHARACTERS, TAG_EDGE, TAG_FORMAT, TAG_MATRIX, TAG_MEMBER, TAG_META, TAG_NETWORK, TAG_NODE, TAG_OTU, TAG_OTUS, TAG_POLYMORPHIC, TAG_ROOT, TAG_ROOTEDGE, TAG_ROW, TAG_SEQ, TAG_SET, TAG_STATE, TAG_STATES, TAG_TREE, TAG_TREES, TAG_UNCERTAIN, TYPE_CONTIN_CELLS, TYPE_CONTIN_SEQ, TYPE_DNA_CELLS, TYPE_DNA_SEQS, TYPE_FLOAT_NETWORK, TYPE_FLOAT_TREE, TYPE_INT_NETWORK, TYPE_INT_TREE, TYPE_LITERAL_META, TYPE_PROTEIN_CELLS, TYPE_PROTEIN_SEQS, TYPE_RESOURCE_META, TYPE_RESTRICTION_CELLS, TYPE_RESTRICTION_SEQS, TYPE_RNA_CELLS, TYPE_RNA_SEQS, TYPE_STANDARD_CELLS, TYPE_STANDARD_SEQ, UNDEFINED_OTU_ID_PREFIX, UNDEFINED_OTU_LABEL, UNDEFINED_OTUS_ID_PREFIX, UNDEFINED_OTUS_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndefinedOTUListDataAdapter(java.lang.String undefinedOTUsID, java.lang.String undefinedOTUID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCount(ReadWriteParameterMap parameters)` Returns the number of objects to be returned by `ObjectListDataAdapter.getIDIterator(ReadWriteParameterMap)`.
    `java.util.Iterator<java.lang.String>` | `getIDIterator(ReadWriteParameterMap parameters)` Returns an iterator returning the IDs of all objects contained in the list modeled by this instance.
    `LabeledIDEvent` | `getObjectStartEvent(ReadWriteParameterMap parameters, java.lang.String id)` Returns the start event of an object determined by the specified object ID.
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getOTUSets(ReadWriteParameterMap parameters)` Returns a list of OTU sets defined for the OTU list modeled by this instance.
    `LabeledIDEvent` | `getStartEvent(ReadWriteParameterMap parameters)` Returns the start event of this data element.
    `java.lang.String` | `getUndefinedOtuID()`
    `void` | `writeContentData(ReadWriteParameterMap parameters, JPhyloIOEventReceiver receiver, java.lang.String id)` Writes the nested events in the specified object describing its contents.
    `void` | `writeMetadata(ReadWriteParameterMap parameters, JPhyloIOEventReceiver receiver)` Writes events describing the metadata associated with the object represented by this instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndefinedOTUListDataAdapter

          public UndefinedOTUListDataAdapter(java.lang.String undefinedOTUsID,
                                             java.lang.String undefinedOTUID)

  - ### Method Detail

    - #### getObjectStartEvent

          public LabeledIDEvent getObjectStartEvent(ReadWriteParameterMap parameters,
                                                    java.lang.String id)
                                             throws java.lang.IllegalArgumentException

      Description copied from interface: `ObjectListDataAdapter`
      Returns the start event of an object determined by the specified object ID.
      Specified by:
        `getObjectStartEvent` in interface `ObjectListDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `id` - the ID of the requested object
      Returns:
        an instance of a labeled ID event that describes the specified object
      Throws:
        `java.lang.IllegalArgumentException` - if no to object for the specified ID is present

    - #### getCount

          public long getCount(ReadWriteParameterMap parameters)

      Description copied from interface: `ObjectListDataAdapter`
      Returns the number of objects to be returned by `ObjectListDataAdapter.getIDIterator(ReadWriteParameterMap)`.
      Specified by:
        `getCount` in interface `ObjectListDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the number of objects in the list modeled by this instance

    - #### getIDIterator

          public java.util.Iterator<java.lang.String> getIDIterator(ReadWriteParameterMap parameters)

      Description copied from interface: `ObjectListDataAdapter`
      Returns an iterator returning the IDs of all objects contained in the list modeled by this instance.
      Specified by:
        `getIDIterator` in interface `ObjectListDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        an iterator returning the IDs (Depending in the usage of this object, the returned iterator must return at least one element or can be empty, but it may never be `null`.)

    - #### getUndefinedOtuID

          public java.lang.String getUndefinedOtuID()

    - #### writeContentData

          public void writeContentData(ReadWriteParameterMap parameters,
                                       JPhyloIOEventReceiver receiver,
                                       java.lang.String id)
                                throws java.io.IOException,
                                       java.lang.IllegalArgumentException

      Description copied from interface: `ObjectListDataAdapter`
      Writes the nested events in the specified object describing its contents.
      Specified by:
        `writeContentData` in interface `ObjectListDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `receiver` - the receiver for the events
      Throws:
        `java.io.IOException` - if a I/O error occurs while writing the data
        `java.lang.IllegalArgumentException` - if an unknown ID was specified

    - #### writeMetadata

          public void writeMetadata(ReadWriteParameterMap parameters,
                                    JPhyloIOEventReceiver receiver)
                             throws java.io.IOException

      Description copied from interface: `AnnotatedDataAdapter`
      Writes events describing the metadata associated with the object represented by this instance.
      Specified by:
        `writeMetadata` in interface `AnnotatedDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
        `receiver` - the writer accepting the events
      Throws:
        `java.io.IOException`

    - #### getStartEvent

          public LabeledIDEvent getStartEvent(ReadWriteParameterMap parameters)

      Description copied from interface: `ElementDataAdapter`
      Returns the start event of this data element. The returned event can be used to determine the label and ID of the modeled data element or an optionally linked data element.
      Specified by:
        `getStartEvent` in interface `ElementDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the start event of this data element

    - #### getOTUSets

          public ObjectListDataAdapter<LinkedLabeledIDEvent> getOTUSets(ReadWriteParameterMap parameters)

      Description copied from interface: `OTUListDataAdapter`
      Returns a list of OTU sets defined for the OTU list modeled by this instance.
      Specified by:
        `getOTUSets` in interface `OTUListDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a (possibly empty) list of OTU sets